# Get Staking Reward Endpoint: GET /staking/v5/stakingRewards/{id} Version: 1.5.0 Security: ## Path parameters: - `id` (string, required) External reference. ## Header parameters: - `customer-number` (string, required) Defines which customer the request is executed for. If you manage multiple customers, this is how you switch between them. Use the _Customer Management_ API endpoints to get the customer data. Example: 'BTCS-CUS-123456' ## Response 200 fields (application/json): - `id` (string) Can be found as an external reference for Reward in other systems. N.B. Commission bookings are a different transaction, with a different external reference. - `targetAccountNumber` (string) Account that the rewards were paid out to. - `stakingAccountNumber` (string) Staking account that earned the rewards. - `amount` (number) Gross amount of rewards paid out. - `assetSymbol` (string) Asset Symbol for rewards. - `commissionPercentage` (number) Commission percentage (0 to 100) taken from the gross reward amount. - `commission` (number) Commission amount taken from the gross reward amount. - `finalAmount` (number) Net reward amount paid out to the target account after commissions. - `createdOn` (string) Timestamp for when it was decided that the rewards should be paid out. Note that actual payout time differs. - `executionLayerAmount` (number,null) Gross amount of execution layer rewards. Only applicable to Pre-Pectra Ethereum rewards. - `consensusLayerAmount` (number,null) Gross amount of consensus layer rewards. Only applicable to Pre-Pectra Ethereum rewards. - `periodFrom` (string,null) Timestamp indicating the start of the period in which the rewards were earned. This is only available for automated payouts. - `periodTo` (string,null) Timestamp indicating the end of the period in which the rewards were earned. This is only available for automated payouts. - `lockedAmount` (number,null) Amount of rewards that are locked. - `lockedTill` (string,null) Timestamp indicating expiration of the lock, if the rewards are locked. ## Response 400 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 422 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 500 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 502 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 204 fields ## Response 401 fields ## Response 403 fields